package com.zjrs.zwnw.fxfk.blo.impl;

import org.mohrss.leaf.core.framework.domain.blo.impl.BLOImpl;
import com.zjrs.zwnw.fxfk.blo.YcywjkBLO;
import com.zjrs.zwnw.fxfk.dto.*;
import com.zjrs.zwnw.fxfk.entity.YcywjkMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.List;

@Service
public class YcywjkBLOimpl extends BLOImpl implements YcywjkBLO {
    private static final Logger LOG = LoggerFactory.getLogger(YcywjkBLOimpl.class);
    @Resource
    YcywjkMapper ycywjkMapper;
    //超期办结业务量监控
    @Override
    public List<YcywCqbjjkOutputDTO> getCqbjjk(YcywTjInputDTO dto){
        return this.ycywjkMapper.getCqbjjk(dto);
    }
    //经办机构超期办结业务量TOP5
    @Override
    public List<YcywTop5OutputDTO> getTop5(YcywTjInputDTO dto){
        return this.ycywjkMapper.getTop5(dto);
    }
    //在办超期业务统计
    @Override
    public List<YcywTop5OutputDTO> getZbcqtj(YcywTjInputDTO dto){
        return this.ycywjkMapper.getZbcqtj(dto);
    }
    //在办超期业务监控
    @Override
    public List<YcywZbcqjkOutputDTO> getZbcqjk(YcywTjInputDTO dto){
        return this.ycywjkMapper.getZbcqjk(dto);
    }
    //预警业务监控
    @Override
    public List<YcywZbcqjkOutputDTO> getYjywjk(YcywTjInputDTO dto){
        return this.ycywjkMapper.getYjywjk(dto);
    }
}
